You can read these without choosing:

Tallybuy
Deliver toDE

Netgear

NETGEAR GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey

1 offer · 1 shop · last checked 2026-10-29 15:22 (Europe/Berlin)

Switch type
Unmanaged
Basic switching RJ-45 Ethernet ports quantity
48
Networking standards
IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology
10BASE-T
Product image: NETGEAR GS748PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey1 / 6

Delivered total

EUR 533,49

Sold by 0815 DE · GS748PP-100EUS · New

Offers

1 live offer

Ordered by delivered total, lowest first. Offers whose total is not stated follow; that placement says nothing about their price.

Links to merchants are affiliate links (advertising). Tallybuy earns a commission if you buy. The offers, their order and what you pay stay the same. About affiliate links

Observed item prices

0815 DE, one listing

This is the item price of one seller's listing, not a delivered total and not the best price across sellers.

Observed prices over time

Latest
EUR533,4929 Oct 2026
Lowest
Unchanged since 9 Oct 2026
Observed prices over time
DayLowestHighestLastChecks
29 Oct 2026EUR533,49EUR533,49EUR533,492
28 Oct 2026EUR533,49EUR533,49EUR533,493
27 Oct 2026EUR533,49EUR533,49EUR533,493
26 Oct 2026EUR533,49EUR533,49EUR533,492
25 Oct 2026EUR533,49EUR533,49EUR533,493
24 Oct 2026EUR533,49EUR533,49EUR533,493
23 Oct 2026EUR533,49EUR533,49EUR533,492
22 Oct 2026EUR533,49EUR533,49EUR533,493
21 Oct 2026EUR533,49EUR533,49EUR533,493
20 Oct 2026EUR533,49EUR533,49EUR533,493
19 Oct 2026EUR533,49EUR533,49EUR533,492
18 Oct 2026EUR533,49EUR533,49EUR533,493
17 Oct 2026EUR533,49EUR533,49EUR533,493
16 Oct 2026EUR533,49EUR533,49EUR533,493
15 Oct 2026EUR533,49EUR533,49EUR533,493
14 Oct 2026EUR533,49EUR533,49EUR533,493
13 Oct 2026EUR533,49EUR533,49EUR533,493
12 Oct 2026EUR533,49EUR533,49EUR533,493
11 Oct 2026EUR533,49EUR533,49EUR533,493
10 Oct 2026EUR533,49EUR533,49EUR533,492
9 Oct 2026EUR533,49EUR533,49EUR533,493

About this product

NETGEAR GS748PP, Unmanaged, Gigabit Ethernet (10/100/1000), Full duplex, Power over Ethernet (PoE), Rack mounting

Read the full source description

POWER-OVER-ETHERNET

24 PoE+ ports delivering up to 30W per port with a 380W total power budget for wireless APs, IP Cameras, IP Phones and much more. Dynamic PoE maximizes usage of PoE budget.

PLUG-AND-PLAY

Simple set up with no software to install or configuration needed

NON-BLOCKING SWITCHING

Non-blocking switching architecture for maximum throughput at wire speed

DYNAMIC FANS

Optimal balance between noise and performance.

VERSATILE MOUNTING OPTIONS

Install your switch on your desktop or mount it to your rack with the hardware provided in the box

ENERGY EFFICIENT

Energy Efficient Ethernet (IEEE 802.3az) standard, which reduces energy consumption when there is light traffic on an active port or when there is no link or no activity detected

Text from Specs Icecat.

Specifications

47 specifications

Product data: Specs Icecat

GTIN
00606449174915
GTIN
05715328108516
MPN
GS748PP-100EUS
Management features3
Switch type
Unmanaged
Quality of Service (QoS) support
Yes
MIB support
RFC 1213 MIB II, RFC 1643, RFC 1493
Ports & interfaces2
Basic switching RJ-45 Ethernet ports quantity
48
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
Network6
Networking standards
IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology
10BASE-T
Full duplex
Yes
Flow control support
Yes
Link aggregation
Yes
Ethernet LAN data rates
1000 Mbit/s
Data transmission5
MAC address table
8000 entries
Maximum data transfer rate
1 Gbit/s
Jumbo frames support
Yes
Jumbo frames
12.288
Packet buffer memory
1.5 MB
Design5
Rack mounting
Yes
Product colour
Grey
Redundant fans support
Yes
Number of fans
2 fan(s)
Safety
CE mark, cUL IEC950/EN60950
Performance1
Mean time between failures (MTBF)
570972 h
Power5
Power source
AC/DC
AC input voltage
100 - 240 V
AC input frequency
50/60 Hz
Input current
8 A
Power consumption (max)
410 W
Power over Ethernet (PoE)3
Power over Ethernet (PoE)
Yes
Power over Ethernet (PoE) power per port
30 W
Total Power over Ethernet (PoE) budget
380 W
Other features7
Latency
2,900ns
Connectivity technology
Wired
Bandwidth
96 Gbit/s
I/O ports
48 x 10/100/1000 Mbps 4 x SFP
Electromagnetic emissions
CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick
Authentication method
802.1x
Warranty period
2 year(s)
Operational conditions5
Operating temperature (T-T)
0 - 50 °C
Storage temperature (T-T)
-20 - 70 °C
Operating relative humidity (H-H)
10 - 90%
Operating altitude
0 - 3000 m
Heat dissipation
34.2 BTU/h
Weight & dimensions4
Width
440 mm
Depth
310 mm
Height
43 mm
Weight
4.6 kg
Certificates1
Compliance certificates
CB, CE, Federal Communications Commission (FCC), KC, Low Voltage Directive (LVD), RCM, UL, VCCI